summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2024-06-18 23:56:39 +0100
committerLeah Rowe <leah@libreboot.org>2024-06-18 23:56:39 +0100
commit920e5ba2d93942e953625ebe97cfd67ae7ef9601 (patch)
tree1a3ee215efb8afc5eccc6d96a20baf31b8024670
parenta96c4b59fd8cf4d19b78d839c5950f32ffd2c1ff (diff)
roms: merge build_uboot_payload to build_payloads
Signed-off-by: Leah Rowe <leah@libreboot.org>
-rwxr-xr-xscript/roms5
1 files changed, 1 insertions, 4 deletions
diff --git a/script/roms b/script/roms
index fc63712f..4f571aa1 100755
--- a/script/roms
+++ b/script/roms
@@ -148,11 +148,8 @@ build_payloads()
|| [ "$payload_seabios_grubonly" = "y" ]; then
[ -f "$grubelf" ] || x_ ./update trees -b grub $grubtree
fi
- [ "$payload_uboot" = "y" ] && build_uboot_payload; return 0
-}
+ [ "$payload_uboot" = "y" ] || return 0
-build_uboot_payload()
-{
x_ ./update trees -b u-boot $board
ubdir="elf/u-boot/$board/$uboot_config"
ubootelf="$ubdir/u-boot.elf" && [ ! -f "$ubootelf" ] && \